package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$17 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("00689918DBEC7E5A0DD6DFC0AA55C7");
      BigInteger var1 = SECNamedCurves.access$0("0095E9A9EC9B297BD4BF36E059184F");
      byte[] var2 = Hex.decode("10C0FB15760860DEF1EEF4D696E676875615175D");
      BigInteger var3 = SECNamedCurves.access$0("010000000000000108789B2496AF93");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(113, 9, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0401A57A6A7B26CA5EF52FCDB816479700B3ADC94ED1FE674C06E695BABA1D"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
